const mapping = {
  product_detail: (store) => {
    console.log("mapper");
    return Promise.resolve(store);
  },
  authentication: (store) => {
    return Promise.resolve(store);
  }
};

export function provideData(store, routes) {
  if (routes && routes[1] && routes[1].name && mapping[routes[1].name]) {
    return mapping[routes[1].name](store);
  }
  return Promise.resolve(store);
}
